Bug 1024800 - python-bunch: Support Python 3
python-bunch: Support Python 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bunch (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1024799
  Show dependency treegraph
 
Reported: 2013-10-30 09:09 EDT by Miro Hrončok
Modified: 2016-07-29 08:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 06:01:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:09:07 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Toshio Ernie Kuratomi 2013-10-30 20:13:15 EDT
Ah, after looking around upstream I remember this.  Upstream committed a pull request that was supposed to add python3 support but it didn't work correctly.  I then submitted a couple pull requests to fix some things:

* https://github.com/dsc/bunch/pull/7
* https://github.com/dsc/bunch/pull/8

a year later and it seems that upstream has stopped caring about bunch.  There's some other low hanging pull requests in the bunch issue tracker.

Email sent to upstream maintainer of bunch to see if he's still alive.  If I don't reply here it probably means he hasn't replied to me.  Feel free to ping this bug and we can figure out other options if that's the case (Perhaps fork?)
Comment 2 Fedora Admin XMLRPC Client 2014-08-13 22:41:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Toshio Ernie Kuratomi 2015-02-19 01:53:01 EST
Just took a look at bunch on python3 and found that it is still unresponsive upstream.  Here's one fork that was active recently:

https://github.com/Infinidat/munch

Several simple pull requests were opened against it 19 days ago.  It will be interesting to see if those are merged in a timely manner.

The code as is says that it supports python-3.4 but I have not yet tested it.
Comment 4 Toshio Ernie Kuratomi 2015-02-19 01:55:31 EST
pypi entry for munch: https://pypi.python.org/pypi/munch/
Comment 5 Bohuslav "Slavek" Kabrda 2015-02-19 02:59:02 EST
Just for the record, I've tried to contact the upstream maintainer of bunch via email (I found two different mails, actually) and he's just not responding, so switching to munch seems to be the best way to go.
Comment 6 Jaroslav Reznik 2015-03-03 10:10:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora End Of Life 2016-07-19 06:31:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Ralph Bean 2016-07-19 10:24:21 EDT
Miro, why was this re-opened?

I thought the consensus was to port applications to python3-munch (which behaves just like 'bunch', but is python3 ready).  Is there a reason to go back and port python-bunch?
Comment 9 Jan Kurik 2016-07-26 00:20:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 10 Petr Viktorin 2016-07-29 06:01:05 EDT
I believe this was reopened by mistake. If not, please reopen yet again.
Comment 11 Miro Hrončok 2016-07-29 08:58:52 EDT
Sorry, I was bulk reopening bugs closed by the EOL thing.

Note You need to log in before you can comment on or make changes to this bug.